// File:  CycleThru.java - Using Enumeration and Iteration

import java.util.Vector;
import java.util.Enumeration;
import java.util.*;

public class CycleThru {

    public static void main(String[] args) {
        System.out.println();
        System.out.println("Cylcle Thru - Using Enumeration and Iteration");
        System.out.println();

        // Load up a Vector with the 7 int values: 1, 4, 7, 10, 13, 16, 19
        Vector v = new Vector();
        for (int i = 1; i < 20; i += 3)
            v.add(new Integer(i));

        // Demonstrate using Enumeration
        System.out.print("Enumerating: ");
        Enumeration e;
        for (e = v.elements(); e.hasMoreElements(); )
            System.out.print(" " + ((Integer) e.nextElement()).intValue());
        System.out.println();

        // Demonstrate using Iteration
        System.out.print("Iterating:   ");
        Iterator it;
        for (it = v.iterator(); it.hasNext(); )
            System.out.print(" " + ((Integer) it.next()).intValue());
        System.out.println();

        System.out.println();
        System.out.println("*** Fin ***");
        System.out.println();
    }
}
